package cn.ibizlab.r7.runtime.core.r7rt_base.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.util.ISearchFilter;
import cn.ibizlab.r7.runtime.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import cn.ibizlab.r7.runtime.util.SearchContext;
import cn.ibizlab.r7.runtime.util.SearchFieldFilter;
import cn.ibizlab.r7.runtime.util.enums.SearchFieldType;
import cn.ibizlab.r7.runtime.util.enums.SearchGroupType;
import cn.ibizlab.r7.runtime.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[UserRoleDataScope] 查询条件对象
 */
@Data
public class UserRoleDataScopeSearchContext extends SearchContext {

	   public String n_userroledatascopename_like;//[数据范围名称]
       public void setN_userroledatascopename_like(String n_userroledatascopename_like) {
            this.n_userroledatascopename_like=n_userroledatascopename_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledatascopename");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_userroledatascopename_like);
            this.getCondition().add(searchField);
       }
	   public String n_userroledataid_eq;//[数据对象能力标识]
       public void setN_userroledataid_eq(String n_userroledataid_eq) {
            this.n_userroledataid_eq=n_userroledataid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("userroledataid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_userroledataid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter userroledatascopename=new SearchFieldFilter();
           userroledatascopename.setParam("userroledatascopename");
           userroledatascopename.setCondition(SearchFieldType.LIKE);
           userroledatascopename.setValue(strQuery);
           searchGroupFilter.getCondition().add(userroledatascopename);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
